Bug 728805 - [abrt] supertux-0.3.3-1.fc14: atomic_increment: Process /usr/bin/supertux2 was killed by signal 11 (SIGSEGV)
Summary: [abrt] supertux-0.3.3-1.fc14: atomic_increment: Process /usr/bin/supertux2 wa...
Keywords:
Status: CLOSED DUPLICATE of bug 1162883
Alias: None
Product: Fedora
Classification: Fedora
Component: supertux
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steven Pritchard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e87093d96d47c55af4e0e80db08...
: 656882 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-07 18:07 UTC by JokeDude
Modified: 2014-11-11 22:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 18:39:02 UTC


Attachments (Terms of Use)
File: maps (27.13 KB, text/plain)
2011-08-07 18:07 UTC, JokeDude
no flags Details
File: backtrace (48.18 KB, text/plain)
2011-08-07 18:07 UTC, JokeDude
no flags Details
File: backtrace (51.55 KB, text/plain)
2012-04-03 14:52 UTC, Rafael Pereira
no flags Details

Description JokeDude 2011-08-07 18:07:27 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        supertux2
component:      supertux
crash_function: atomic_increment
executable:     /usr/bin/supertux2
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        supertux-0.3.3-1.fc14
reason:         Process /usr/bin/supertux2 was killed by signal 11 (SIGSEGV)
time:           Sun Aug  7 17:06:34 2011
uid:            500
username:       enricop
var_log_messages: Aug  7 17:06:35 itnotebook abrt[5821]: saved core dump of pid 5763 (/usr/bin/supertux2) to /var/spool/abrt/ccpp-2011-08-07-17:06:34-5763.new/coredump (61681664 bytes)

backtrace:      Text file, 49335 bytes
maps:           Text file, 27782 bytes

build_ids:
:aac9177d9323042eaa779127c3f5b0dde9699c13
:7343d35696ce251688ece0a26e457e61ca805cfd
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:76f195c9e77180c38325a12d59ad79f8e19b8050
:e0a3e680fb7dcebaa3d8ba9b53418fd3edf7a4d8
:1ec7f89f76e8988f43ceb32fccd92d513dffef8e
:1ba57a696637c1e23edecbd851a292f85214b29c
:bfe78a8c603507f97b538d3f90408421fe089bc8
:88c273fb9c6869c8e7a2c4ef8e1a8f10b50d1b49
:89017ab0b75e533e4294f74ee8f7db3daceea536
:552c6a93aee798ae600a5544eb058e544c9254c2
:1c6a95451ee19617be5abea3d121f0226d21ddda
:d0c6e13f00a20952a72a945c929efb175fd760e3
:c582ce1aadebcff6abad84e3d23735e397ccc9e4
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:e1c31ac7328c5b42c09f2e4083bcd245090621e4
:e56a1c53a3cc7096355bdae521a2bf98041de78d
:9e7f9920023c7d8d35e94b041966c802abfbb0a9
:491c7ad109d751508a100e2f33fdacdebeceb8ad
:372a0368e807b9565d4bf6f3b5beea6b621c04ff
:fc4ea781fa38eda7d7ed0b1ff2099ab5a1709ebb
:02278e6fab817461af5d9daf1ba469161ef51a44
:d087f944dd82da9ca4f0bdebd9f28604c95e62e3
:48bfda76dcea9e15bfd6d2460448459c8de4be12
:ebe7a591c99931b940b3d8ddfca3d7e891a69576
:fce21be059b4e64fb28508332c4d22bae6fb59dc
:a525c9524ee62c33b5180326b213173a570e3cfd
:020ea634b00e306a5ba5982d96f7f55c560bee88
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:3e113d18232e9368a3d33d061ee14e221202b1cc
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:585e18f56063dab8934660820f0c63765c6c1a1f
:4b01fe6e705219deca2756ff0720d52ec81b4c87
:f77561c1910d48f6d02230d9837b95851d06a761
:c1f034e216940c41dbe23880c3400ef9cffae35d
:4a7e68edf2778a9fbd3d4a8fbd3f9d1e7b785fc6
:c7a36a8603f2ab43a983f2aebfbfc69d1e6545d2
:d87cdd71509313424501facf8bc2edd95430264f
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:974384eb7bcfac13186a7676480be49456185560
:48aea888319e1848137073c9cbde54a4c2a731c9
:e5f626726497a81807681ed0088dbce6d6a1f17b
:263808e67654286dd52d513eff5f47217feb6bf2
:cc32e70895d23acd7bde1ef1a3286b5e179e2d49
:381b4d1a68920ac7d5ce745f1eb2b324bb90dc03
:d259f77e246b7dde5797633a40e4a655375f9b97
:4c842320387ff7f6f91b7842b223c16518be909f
:a7f1c18b1ea74748c739d5dc04cf55c46358f641
:09964c492d50efe5e16f56001b3b6eccdd4e6f09
:9536f845d05feb9351ba09755f3ceb2f454e89de
:0911ea7c180d733724f89037b8e8a34e64024aec
:8164c04fe43680778d29c2775cef453f494ab62b
:83eaf534f789338ec43432c66a28bb7680834b45
:c8077bb58874c26cfb2df6c0476ddf4e142353fa
:1d96a62981a95493f0c21aadc43d00f6cc23d7a4
:9b5b4b05b3580321a077e70caa53715951ed2cc6
:91689252818532ec13597b6528d38be93b2706c4
:613ba9eb50b6beb099faca4f62b57eb963a4819e
:5e7c7237a025f271e5ed1418cb23420764b09725
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:77f453109143fdbf15d4f3bf481b806eead21ad2
:d203a42e4c417fbf0c6ab96ce6f7946ec8ac0435
:b450b9f89c3a4b0d01ac1627aabe03c683280c1f
:824c7ed12bdc96a755733f7bae01ae6d965465f8
:5ac90ccacd76b252b278e42a3636015fae793bde
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:90cb21703f57809b0c613d25c0a96f5fab2ff064
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:aadc283c6c1d281728e5f9e236644a672c2c9c57
:12fe921fa6ce903fb44dbd1e37cd24e26cc920a6
:67545599444badeb58efda2021453f6ab7a65a99
:fc6e234c5a3a5c2ffdb70448d5dadceae8eccc54
:dd5dada4600e9f496abc0deecd6fa5be4597cfaf
:b06863e37ed8553f282a929588a1453c52630bcd
:393c87aa8211c3bb0abf27fa10bcb21056950e14
:9c7124f8172c2f993351b55d0e5db3439f9b1bb7
:fb8b5a8a6d1053516814cadb65a7c233f338ec82
:95732a44ff4626574a2c981184614ecab521006f
:a7058457616c8548e784de3ed1b2c37259c62ca7

comment:
:Closed the program using the X option (top right) while in the middle of a game
:Using Fedora15 with Gnome-Shell

dso_list:
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1307500407
:/lib64/libkeyutils-1.2.so keyutils-libs-1.2-7.fc15.x86_64 (Fedora Project) 1307500421
:/usr/lib64/libsquirrel-2.2.4.so squirrel-libs-2.2.4-2.fc15.x86_64 (Fedora Project) 1312729321
:/lib64/libkrb5.so.3.3 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310026073
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1307500406
:/usr/lib64/liblber-2.4.so.2.6.0 openldap-2.4.24-3.fc15.x86_64 (Fedora Project) 1311066603
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1307500405
:/lib64/libcrypt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309804980
:/usr/lib64/libdrm.so.2.4.0 libdrm-2.4.26-1.fc15.x86_64 (Fedora Project) 1307866233
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1309164819
:/usr/lib64/libopenal.so.1.12.854 openal-soft-1.12.854-2.fc15.x86_64 (Fedora Project) 1307500824
:/lib64/librt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309804980
:/usr/lib64/dri/libllvmcore-2.8.so mesa-dri-llvmcore-7.11-0.16.20110709.0.fc15.x86_64 (Fedora Project) 1311406427
:/usr/lib64/libvorbisenc.so.2.0.8 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1307500405
:/usr/lib64/libGL.so.1.2 mesa-libGL-7.11-0.16.20110709.0.fc15.x86_64 (Fedora Project) 1311406429
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1307500406
:/usr/lib64/libXtst.so.6.1.0 libXtst-1.2.0-2.fc15.x86_64 (Fedora Project) 1307500407
:/usr/lib64/libsqstdlib-2.2.4.so squirrel-libs-2.2.4-2.fc15.x86_64 (Fedora Project) 1312729321
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1307500404
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1307500404
:/lib64/libnsl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309804980
:/usr/lib64/libSDL_image-1.2.so.0.8.2 SDL_image-1.2.10-2.fc15.x86_64 (Fedora Project) 1307557985
:/usr/lib64/libGLEW.so.1.5.8 libGLEW-1.5.8-4.fc15.x86_64 (Fedora Project) 1310640842
:/lib64/libnspr4.so nspr-4.8.8-1.fc15.x86_64 (Fedora Project) 1307553933
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1312267510
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310026073
:/lib64/libdl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309804980
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1307500406
:/lib64/libcrypto.so.1.0.0d openssl-1.0.0d-1.fc15.x86_64 (Fedora Project) 1307500581
:/usr/lib64/libnss3.so nss-3.12.10-5.fc15.x86_64 (Fedora Project) 1312718570
:/lib64/libplc4.so nspr-4.8.8-1.fc15.x86_64 (Fedora Project) 1307553933
:/usr/lib64/libXxf86vm.so.1.0.0 libXxf86vm-1.1.1-2.fc15.x86_64 (Fedora Project) 1307500407
:/usr/lib64/libnssutil3.so nss-util-3.12.10-1.fc15.x86_64 (Fedora Project) 1307553934
:/lib64/libwrap.so.0.7.6 tcp_wrappers-libs-7.6-60.fc15.x86_64 (Fedora Project) 1307500404
:/usr/lib64/libssl3.so nss-3.12.10-5.fc15.x86_64 (Fedora Project) 1312718570
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1307500407
:/usr/lib64/libFLAC.so.8.2.0 flac-1.2.1-6.fc12.x86_64 (Fedora Project) 1307500419
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1307500406
:/lib64/libuuid.so.1.3.0 libuuid-2.19.1-1.4.fc15.x86_64 (Fedora Project) 1311066605
:/usr/lib64/libpulsecommon-0.9.22.so pulseaudio-libs-0.9.22-5.fc15.x86_64 (Fedora Project) 1307500423
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1312267526
:/usr/lib64/libssh2.so.1.0.1 libssh2-1.2.7-1.fc15.x86_64 (Fedora Project) 1307500710
:/lib64/libplds4.so nspr-4.8.8-1.fc15.x86_64 (Fedora Project) 1307553933
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310026073
:/lib64/libm-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309804980
:/usr/lib64/libGLU.so.1.3.071100 mesa-libGLU-7.11-0.16.20110709.0.fc15.x86_64 (Fedora Project) 1311406434
:/usr/lib64/dri/nouveau_dri.so mesa-dri-drivers-7.11-0.16.20110709.0.fc15.x86_64 (Fedora Project) 1311406436
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309804980
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-turbo-1.1.1-1.fc15.x86_64 (Fedora Project) 1311066602
:/usr/lib64/libcurl.so.4.2.0 libcurl-7.21.3-8.fc15.x86_64 (Fedora Project) 1309164855
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1311066600
:/usr/lib64/libphysfs-1.0.so.1.0.1 physfs-1.0.2-3.fc15.x86_64 (Fedora Project) 1308912071
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-4.x86_64 (Fedora Project) 1309804980
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.6-3.fc15.x86_64 (Fedora Project) 1307500400
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1307500405
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309804980
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1307500401
:/usr/lib64/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-16.fc15.x86_64 (Fedora Project) 1307500404
:/usr/lib64/libX11-xcb.so.1.0.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1307500406
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1307500401
:/lib64/libresolv-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309804980
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1307500399
:/lib64/libidn.so.11.6.2 libidn-1.19-2.fc15.x86_64 (Fedora Project) 1307500413
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1307500406
:/usr/bin/supertux2 supertux-0.3.3-1.fc14.x86_64 (Fedora Project) 1312729326
:/usr/lib64/libsndfile.so.1.0.25 libsndfile-1.0.25-1.fc15.x86_64 (Fedora Project) 1311406444
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.x86_64 (Fedora Project) 1312267514
:/usr/lib64/libasyncns.so.0.3.1 libasyncns-0.8-2.fc15.x86_64 (Fedora Project) 1307500423
:/usr/lib/locale/locale-archive glibc-common-2.14-4.x86_64 (Fedora Project) 1309804970
:/usr/lib64/libSDL-1.2.so.0.11.3 SDL-1.2.14-11.fc15.x86_64 (Fedora Project) 1307500856
:/lib64/libpthread-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309804980
:/usr/lib64/libtiff.so.3.9.5 libtiff-3.9.5-1.fc15.x86_64 (Fedora Project) 1307500403
:/usr/lib64/libdrm_nouveau.so.1.0.0 libdrm-2.4.26-1.fc15.x86_64 (Fedora Project) 1307866233
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1307500400
:/usr/lib64/libssl.so.1.0.0d openssl-1.0.0d-1.fc15.x86_64 (Fedora Project) 1307500581
:/usr/lib64/libldap-2.4.so.2.6.0 openldap-2.4.24-3.fc15.x86_64 (Fedora Project) 1311066603
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310026073
:/usr/lib64/libpulse.so.0.12.3 pulseaudio-libs-0.9.22-5.fc15.x86_64 (Fedora Project) 1307500423
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1307500407
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1308138492
:/usr/lib64/libsmime3.so nss-3.12.10-5.fc15.x86_64 (Fedora Project) 1312718570
:/usr/lib64/libxcb-atom.so.1.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1307500413

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-enricop
:XDG_SESSION_ID=4
:HOSTNAME=itnotebook
:GIO_LAUNCHED_DESKTOP_FILE_PID=5763
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-g2ekLw/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=0db26a92b1b143261708fef300000011-1312728209.410074-1192864964
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/tmp/keyring-g2ekLw
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=enricop
:http_proxy=
:SSH_AUTH_SOCK=/tmp/keyring-g2ekLw/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/4869,unix/unix:/tmp/.ICE-unix/4869
:USERNAME=enricop
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/supertux2.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/local/:/home/enricop/bin
:MAIL=/var/spool/mail/enricop
:QT_IM_MODULE=xim
:PWD=/home/enricop
:XMODIFIERS=@im=none
:LANG=en_ZA.utf8
:GNOME_KEYRING_PID=4861
:KDE_IS_PRELINKED=1
:GDM_LANG=en_ZA.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=1
:HOME=/home/enricop
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=enricop
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-JRkNsTPq0d,guid=cb3e5f064090f5b1dfa76a2d000013d8
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=7
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/enricop
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-enricop-qJM07l/database

xsession_errors:
:[INFO] /builddir/build/BUILD/supertux-0.3.3/src/supertux/main.cpp:223 [/home/enricop/.supertux2] is in the search path
:[INFO] /builddir/build/BUILD/supertux-0.3.3/src/supertux/main.cpp:223 [/usr//share/supertux2] is in the search path

Comment 1 JokeDude 2011-08-07 18:07:31 UTC
Created attachment 517065 [details]
File: maps

Comment 2 JokeDude 2011-08-07 18:07:34 UTC
Created attachment 517066 [details]
File: backtrace

Comment 3 abrt-bot 2012-03-20 18:25:08 UTC
*** Bug 656882 has been marked as a duplicate of this bug. ***

Comment 4 Rafael Pereira 2012-04-03 14:52:53 UTC
I was just exiting the game.

backtrace_rating: 4
Package: supertux-0.3.3-3.fc16
OS Release: Fedora release 16 (Verne)

Comment 5 Rafael Pereira 2012-04-03 14:52:59 UTC
Created attachment 574890 [details]
File: backtrace

Comment 6 cathygroves13 2012-06-07 11:48:30 UTC
I quit the game

backtrace_rating: 4
Package: supertux-0.3.3-7.fc17
OS Release: Fedora release 17 (Beefy Miracle)

Comment 7 Fedora End Of Life 2012-08-07 18:39:05 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 David King 2014-11-11 22:50:09 UTC

*** This bug has been marked as a duplicate of bug 1162883 ***


Note You need to log in before you can comment on or make changes to this bug.